Single Payment Enquiry

Fetch updated status of the processed Payouts payments

SingleView Single Payment Enquiry V2.0 services connect Corporate users via a secure channel and enable them to enquire about the status of their transactions quickly and easily. The key feature of the service allows the user to get immediate acknowledgment about the most recent status of their payments.

📘

Important information

This service can be used to verify the status of the following types of payment transactions made by the user:

  • Within own accounts
  • Local payments (SARIE)
  • International payments (SWIFT)
❗️

Payment enquiry not required

There is no need to initiate a post-payment transaction enquiry request, as the user will receive an instant confirmation for the following banks:

  • Alinma Bank
  • Saudi National Bank (NCB)
  • Riyad Bank
  • Bank Al Jazira
🌐

Domain details

EnvironmentDomainRate/Limit
Sandboxsandboxapi.onesingleview.com10 Calls per Minute
Production/LIVETo be provided upon onboardingBased on contract

Perform a Single Payment Enquiry - V2.0

Endpoint details

Endpoint URLMethodAuthentication requirements
/api/v2/single/payment/enquiryPOST
  1. SVReferenceID
  2. CompanyId
  3. Device
  4. DateTimeStamp
  5. Authorization: Bearer (Token)

Sample request

curl --location 'https://sandboxapi.onesingleview.com/api/v2/single/payment/enquiry' \
--header 'SVReferenceID:  SV123456' \
--header 'CompanyId: SINGLEVIEW1234' \
--header 'Device: web' \
--header 'DateTimeStamp: 2025-07-22T10:20:39' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNaVN4MzdCZHREWlNGdTFad3B5QnlkOVpHelZXR2ZwUmFQNUYrZzB5YVg5bi9KVE5wK1FucERJMEZXWWN6VGJsOEc5cXhaUkVxQTJhSE1uWVBZMjQ0ckNXNkN2YUxvVTQxVGNNTzlwSDlUNCIsImlhdCI6MTc1MzE1OTMyNCwiZXhwIjoxNzUzMTYyOTI0fQ.gyBvuywn7ywvSKSaRYwaKRMma7OArPWHP-Ojo6BnJhA' \
--header 'Content-Type: application/json' \
--data '{
"Message": {
  "OSVPaymentMessageRequest": {
    "OSVPaymentStatusRequest": [
      {
        "BankCode": "ALRAJHI",
        "ReferenceNumber": "41870234567",
        "MessageType": "SINGLEREQ",
        "CompanyCode": "SV12345"
      }
    ]
  }
},
"Signature": "Aaa6MBzIjDnktv7Q8beyUkcjA05jnlHdegG5WLkz6amwsglvS1NkYAvn2fbM8EGkzN2fYeirUDoPXABNaF4en9HkW1Ap5RhN/UdAggO+C6Ovy03apxyEomsEReU6eG0fJG80CUNfgEadVqvfXLmF9MfA2OpHPCTrX3kJlSOvP4iiVM6htEtmq1/wThr9Z9GYMmuhC99S4HMo4xxOCrsdYun9vpFFuAOJHd7f35/4SDhvF3j5cbBVqbKvpZC32f3LdgJUYSYImvtGsnJBqNRL10LohAzjuQUTAr9RxIrcIC+SLQs9qM65Am54K3oEyrEYzpgkKY2GMoIN7s6x/4FuHA=="
}'

Request description

JSON TagRequirementDescriptionData type
OSVPaymentMessageRequestMandatoryRoot node containing all the payment enquiry messageObject
OSVPaymentStatusRequestMandatoryTag carrying information on the payment enquiry requestObject/Array
BankCodeMandatoryUnique bank identification code ALRAJHI - Al Rajhi Bank SABB - Saudi Awaal Bank ANB - Arab National Bank NCB - Saudi National Bank RIYADH - Riyadh BankString
ReferenceNumberMandatoryUnique tracking identification number of the payment requestString
MessageTypeMandatoryDetails on the type of message request to be mentioned as SINGLEREQ or SPEString
CompanyCodeMandatorySender company code or identifier provided by the bank at the time of on-boardingAlphanumeric
SignatureMandatoryEncrypted string generated using a Private Key/CA-Signed Certificate with SHA-256 and RSA (JCE Signature)String

Sample response

{
  "OSVPaymentEnquiryResponse": [
    {
      "BankCode": "ALRAJHI",
      "ReferenceNumber": "41870234567",
      "CompanyCode": "SV12345",
      "OSVPaymentStatusResponse": {
        "SequenceNum": "123456789",
        "StatusCode": "Completed",
        "StatusDetail": "AccountPostingSuccess-Payment Instruction Account Posting is successful",
        "BankReferenceNumber": "B260108143421114"
      }
    }
  ]
}

Responses description

JSON TagDescriptionData type
OSVPaymentEnquiryResponseTag carrying information on payment enquiry responseObject
BankCodeUnique bank identification code ALRAJHI - Al Rajhi Bank SABB - Saudi Awaal Bank BSF - Banque Saudi Fransi ANB - Arab National Bank NCB - Saudi National Bank RIYADH - Riyadh BankString
ReferenceNumberUnique tracking identification number of the payment requestString
CompanyCodeSender company Code/IdentifierAlphanumeric
OSVPaymentStatusResponseThis tag contains the status of the transactions included in the payment requestObject/Array
SequenceNumUnique number representing the transaction generated by the clientString
StatusCodeCode representing status of the transaction in the requestString
StatusDetailDetails of the status code represented for the transaction in the requestString
BankReferenceNumberUnique transaction reference number provided by the bank
Available only for ANB, SNB, SAB, Alinma
For Al Rajhi Bank, tag appears based on client agreement
String

Status Codes & Information

Transaction Status

StatusCodeStatusDetail
ProcessingBank response description
CompletedBank response description
FailedBank response description
Response_TimeoutTimeout! Unable to get response from the bank. Please retry in few mins or contact SingleView support.